package com.elab.log.asepct;

import com.elab.log.utils.CatCrossProcess;
import org.aspectj.lang.ProceedingJoinPoint;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class CatMsgIdAspectBean {

    private Logger logger = LoggerFactory.getLogger(CatMsgIdAspectBean.class);

    public Object around(ProceedingJoinPoint pjp) throws Throwable {
        CatCrossProcess.createMessageTree();
        Object proceed = pjp.proceed();
        return proceed;
    }


}